Subject: bug#74797: linux-libre 6.11.11 fails to build on aarch64 (drivers/clk/meson/gxbb.c)

From: Leo Famulari <[email-masked]>
Date: Sun, 15 Dec 2024 13:11:40 -0500

On Sat, Dec 14, 2024 at 10:21:05PM -0800, Vagrant Cascadian wrote:
> Well, it only hgappened once, and with the same commit, it successfully
> regenerated the tarball and everything was fine...

Understood. Unfortunately I think it suggests a hardware malfunction,
although it could be a software bug.

> FWIW, the guix pull'ed commits where it happened were:
> 
> 68d3c1adcb4d2667ad053aacf5b2ab6602377475
> 6f8c8a86d827627f503a803381bce7fbcf8f39a0
> 
> I cannot remember off the top of my head weather it was the upstream
> tarball or:
> 
> /gnu/store/3aawi9saa92n35kknxv1m97lhjkx7j8g-linux-libre-6.11.11-guix.tar.zst

Okay, thanks. I did check on ci.guix.gnu.org, and this file does not
exist in the store.

> But I removed the tarballs with 'guix gc' and then everything was fine
> on the next tries after it redownloaded and regenerated the new
> tarballs. So, I daresay I have destroyed the evidence...
> 
> If i happens again, I can do more research.

Thanks, I'd appreciate it!